package com.elitesland.metadata.repo;

import com.elitesland.metadata.entity.MetaTableDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

import java.util.Optional;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/21/2020 2:29 AM
 */
@Repository
public interface MetaTableRepo extends JpaRepository<MetaTableDO, Long>, QuerydslPredicateExecutor<MetaTableDO> {

    Optional<MetaTableDO> findByTableCode(String tableCode);
}
