package com.elitesland.system.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <pre></pre>
 *
 * @author mir
 * @date 2020-10-12
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
@ApiModel("系统下一编号查询条件对象")
public class SysNextNumberQParam extends AbstractOrderQueryParam {
    private static final long serialVersionUID = 318934458028635363L;

    @ApiModelProperty(value = "下一编号代码")
    String code;

    @ApiModelProperty(value = "下一编号名称")
    String name;

    @ApiModelProperty(value = "下一编号分类")
    String numberClass;

}
