package com.elitesland.system.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <pre>请求发号器生成号码的结构体</pre>
 *
 * @author mir
 * @date 2020-10-29
 */
@ApiModel("请求发号器生成号码的结构体")
@Data
public class SysNumberReqParam implements Serializable {

    private static final long serialVersionUID = -3337116240783054042L;

    @ApiModelProperty("发号规则ID")
    Long ruleId;

    @ApiModelProperty("发号器编码")
    String ruleCode;

    @ApiModelProperty("配置选择的值，包括生成号码时的UDC值，以及其他运行时设置的值")
    List<String> runtimeValue;
}
