package com.elitesland.system.repo;

import com.elitesland.system.entity.SysNumberRuleDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

import java.util.Optional;

/**
 * <pre></pre>
 *
 * @author mir
 * @date 2020-10-11
 */
@Repository
public interface SysNumberRuleRepo extends JpaRepository<SysNumberRuleDO, Long>, QuerydslPredicateExecutor<SysNumberRuleDO> {

    Optional<SysNumberRuleDO> findByRuleCode(String ruleCode);
}
