package com.elitesland.org.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("雇员检索条件对象")
public class EmployeeQParam extends AbstractOrderQueryParam {
    private static final long serialVersionUID = -315830079483781761L;

    @ApiModelProperty(value = "雇员编号")
    String empNo;

    @ApiModelProperty(value = "雇员姓名")
    String name;

    @ApiModelProperty(value = "雇员外文名")
    String foreignName;

    @ApiModelProperty(value = "所属部门ID")
    Long buId;

    @ApiModelProperty(value = "行政职位, [UDC]ORG:TITLE")
    String title;

    @ApiModelProperty(value = "系统用户账号")
    String sysUserName;

    @ApiModelProperty(value = "工作邮箱")
    String eMail;

    @ApiModelProperty(value = "工作手机号")
    String mobile;
}
