package com.elitesland.org.service;

import com.elitesland.core.base.PagingVO;
import com.elitesland.org.param.EmployeeTagQParam;
import com.elitesland.org.vo.EmployeeTagVO;

import java.util.List;
import java.util.Optional;

public interface EmployeeTagService {
    PagingVO<EmployeeTagVO> search(EmployeeTagQParam param);

    Optional<EmployeeTagVO> oneByTagName(String tagName);

    Long create(EmployeeTagVO tag);

    void update(EmployeeTagVO tag);

    void removeByIds(List<Long> ids);

    void bindEmployeesToTag(List<Long> employeeIds, String tag);

    void bindTagsToEmployee(List<String> tags, Long employeeId);
}
