package com.elitesland.org.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "岗位主信息", description = "岗位主信息")
public class OrgPostVO implements Serializable {

    private static final long serialVersionUID = 6188096754670033224L;

    @ApiModelProperty("记录ID")
    Long id;

    @ApiModelProperty(value = "岗位编码")
    String postCode;

    @ApiModelProperty(value = "岗位名称")
    String postName;

    @ApiModelProperty(value = "岗位权重")
    Integer postWeight;
}