package com.elitesland.system.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author mir
 */
@Data
@ApiModel("更新用户密码")
public class SysPasswordUpdate implements Serializable {

    private static final long serialVersionUID = -2086085712564516211L;

    @ApiModelProperty("用户记录ID")
    Long userId;

    @ApiModelProperty("当前密码")
    String currentPassword;

    @ApiModelProperty("新密码")
    String newPassword;
}
